Bug 1474534 - Can't create templates using remote template uri
Can't create templates using remote template uri
Status: NEW
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE (Show other bugs)
3.5.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Samuel Padgett
yapei
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-24 18:02 EDT by Eric Rich
Modified: 2017-08-22 12:03 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Rich 2017-07-24 18:02:23 EDT
Description of problem:

https://docs.openshift.com/container-platform/3.5/dev_guide/create_from_url.html#overview can't be leveraged to deploy an application, with a remote template. 

https://openshift.cluster.uri.com/console/create?template=https:%2F%2Fraw.githubusercontent.com%2Fopenshiftio%2Flaunchpad-templates%2Fmaster%2Fopenshift%2Flaunchpad-template.yaml

In short, I don't want to have to deploy a template to my OCP cluster, before I can, deploy the template to the cluster.
Comment 2 Samuel Padgett 2017-07-25 08:42:05 EDT
While not exactly the same, it is possible to instantiate a template without saving it using import YAML in the web console.

Note You need to log in before you can comment on or make changes to this bug.